      SUBROUTINE CHKPT1(XOUT,YOUT,IPEN,INOUT)
C
C   (XOUT,YOUT) IS THE 1ST PT IN THICK LINE OPTION OF SUBROUTINE LINE
C     FOR WHICH PXZ07 IS CALLED.  IF IT LIES OUTSIDE THE DATA BOUNDARY,
C     FLAG IT (INOUT ^= 0), & RETURN.
C
      CALL PTPOSN(XOUT,YOUT,INOUT)
      IF(INOUT.EQ.0) CALL PXZ07(XOUT,YOUT,IPEN)
      RETURN
      END

